Name:           python-omc3
Version:        0.21.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        An accelerator physics tools package for the OMC team at CERN.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://pypi.org/project/omc3/
Source:         %{pypi_source omc3}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'omc3' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-omc3
Summary:        %{summary}

%description -n python3-omc3 %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-omc3 all,cern,doc,optional,test


%prep
%autosetup -p1 -n omc3-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,cern,doc,optional,test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-omc3 -f %{pyproject_files}


%changelog
%autochangelog